import {Body, Controller, HttpCode, HttpStatus, Post} from "@nestjs/common";
import {SpecialsService} from "./specials.service";
import {Constants} from "src/utils/constants";

@Controller({
    path: "specials",
    version: Constants.API_VERSION_1
})
export class SpecialsController {
    constructor(private readonly specialsService: SpecialsService) {
    }

    @Post("/all")
    @HttpCode(HttpStatus.OK)
    findAll(
        @Body() variables: any
    ) {
        return this.specialsService.findAll(variables);
    }
}
