import { IsEmpty, IsNotEmpty } from "class-validator";

export class CreateCareerDto {
    @IsNotEmpty()
    jobType: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    departmentId: string;

    @IsNotEmpty()
    departmentName: string;

    @IsEmpty()
    departmentNameUrlSlug: string;

    @IsNotEmpty()
    location: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    salary: string;
}
    