import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("retailer_service")
export class RetailerService extends CoreEntity {
    @Column({default: null, nullable: true})
    retailerId: string;

    @Column({default: null, nullable: true})
    retailerName: string;

    @Column({
        default: "https://dispodutchie.nyc3.cdn.digitaloceanspaces.com/default/retailer_image.png",
        nullable: true
    })
    retailerImage: string;

    @Column({default: null, nullable: true})
    retailerAddress: string;

    @Column({default: null, nullable: true})
    retailerDeliverySettings: string;

    @Column({default: 0, nullable: true})
    accessCount: number;
}
